Subject: EPOS connect, Win10/Mac, SDK failed to connect
From: EPOS Global Support <[email-masked]>
Cc: Marika Fujita <[email-masked]>
Date: Mon, 28 Jun 2021 04:49:38 +0000

##- Please type your reply above this line -##

You are registered as a CC on this support request (155931). Reply to this email to add a comment to the request.

----------------------------------------------

Joonghyun Yang, Jun 28, 2021, 4:49 UTC

Dir Marika,

Please refer to below answers.

Could you give us any advices if Chrome on Windows 10 is available with javascript SDK?

1. Which headset are you trying to connect?

=> SC 260 USB MS II

2. Mac OS version

=> macOS Big Sur – version 11.4

=> macOS Catalina – version 10.15.7

3. Windows OS

=> Windows 10 – 32bit and 64bit.

=> Chrome – version 91.0.4472.114

Thanks.

Best regards,

Joonghyun Yang

----------------------------------------------

Marika Fujita, Jun 28, 2021, 4:22 UTC (private)

**_NEXT ACTION_**

**What**:
1. Which headset are you trying to connect?
2. Mac OS version
**Who**: Customer
**When**: 01/07/2021

----------------------------------------------

Marika Fujita, Jun 28, 2021, 4:22 UTC

Dear Joonghyun,

Thank you for getting back to us.

Could you please provide us the information below?

1. Which headset are you trying to connect?
2. Mac OS version

Hoping to hear from you soon.

Kind regards,
Marika Fujita
EPOS Global Support

----------------------------------------------

Pritish Nandi, Jun 25, 2021, 14:45 UTC (private)

**Marika Fujita**​  - For Mac we have a article. If they are trying to install EC in mac and getting error please follow this -

https://eposaudio.zendesk.com/hc/en-us/articles/1260803040009-EPOS-Connect-MacOS-Installation-Fails-to-Complete

----------------------------------------------

Marika Fujita, Jun 25, 2021, 9:11 UTC (private)

**_CASE SUMMARY_**

**Company Name**: Ericsson LG
**Contact person**: Joonghyun Yang
**Email**: [email-masked]
**Product name**: EPOS connect
**Number of Products**: 1
**Sales Opportunity Size in Headsets**: 0
**Environment**: Win10/Mac
**Issue**: SDK failed to connect
**Current status**:
- Customer filled out the form and downloaded SDK on Win10 and tried to test javascript SDK with the Sennheiser USB headset.

**1** - Win10, I tested  SDK - javascript SDK on chrome browser on Win10 OS, javascript SDK on chrome browser but failed to connect
EPOS Connect via WSS(web secure socket).

Q1. Could you advise why WSS is not connected with EPOS Connect on Windows 10?
Please refer to secomCCModule.png file attached before.
Q2. Are there any example of SecomCCModule.js of SDK ?
Q3. Or could you please give us some advices for integration SecomCCModule.js of SDK with our Web based softphone?

**2** - Customer installed EPOS Connect on MAC. EPOS Connect has a warning message.
Deleted System > Library > Application Support > EPOSConnect, then ran the installer again, but this issue was still there.
 ![](https://eposaudio.zendesk.com/attachments/token/SZUjroBMIqhXkD0QFQUaMrTYe/?name=inline1634786122.png)
 ![](https://eposaudio.zendesk.com/attachments/token/dJygcZU0TF7Eyht55mctNPA9d/?name=1_thumb.PNG)
1
PNG

 ![](https://eposaudio.zendesk.com/attachments/token/r6lTidH0vU2z8F8Dq3ZjDJLjO/?name=2_thumb.PNG)
2
PNG

 ![](https://eposaudio.zendesk.com/attachments/token/nqAFVFZQAxRGIUJ4eFtRwpnnf/?name=3_thumb.PNG)
3
PNG

----------------------------------------------

Joonghyun Yang, Jun 25, 2021, 7:30 UTC

Dear Marika,

Please refer to below answer.

Have you filled out the form in the link below when you get the SDK?
**EPOS SDK Download**
=> Yes, I filled out the form in the upper link when I get the SDK.

Also, may I know which device or softphone you have the SDK?
=> I installed EPOS Connect.

=> Then, I tried to connect EPOS Connect via web secure socket(WSS) using SecomCCModule.js of SDK on chrome browser but failed to connect as screenshot I attached before.

=> Are there any example of SecomCCModule.js of SDK ?

=> Or could you please give us some advices for integration SecomCCModule.js of SDK with our Web based softphone?

Thanks.

Best regards,

Joonghyun Yang

----------------------------------------------

Marika Fujita, Jun 25, 2021, 7:17 UTC (private)

**_NEXT ACTION_**

**What**: Asked if he filled out the SDK form
**Who**: Customer
**When**: 30/06/2021

----------------------------------------------

Marika Fujita, Jun 25, 2021, 7:16 UTC

Dear Joonghyun,

We hope you are doing great.

Have you filled out the form in the link below when you get the SDK?
**EPOS SDK Download**

Also, may I know which device or softphone you have the SDK?

Looking forward to hearing from you.

Kind regards,
Marika Fujita
EPOS Global Support

----------------------------------------------

Marika Fujita, Jun 23, 2021, 7:15 UTC (private)

**_CASE SUMMARY_**

**Company Name**: Ericsson LG
**Contact person**: Joonghyun Yang
**Email**: [email-masked]
**Product name**: EPOS connect
**Number of Products**: 1
**Sales Opportunity Size in Headsets**: 0
**Environment**: Win10/Mac
**Issue**: SDK failed to connect
**Current status**:
- Customer downloaded EPOS SDK on Win10 and tried to test javascript SDK with the Sennheiser USB headset.

**Question 1** - Win10, I tested EPOS SDK - javascript SDK on chrome browser on Win10 OS, javascript SDK on chrome browser but failed to connect
EPOS Connect via WSS(web secure socket).

Could you advise why WSS is not connected with EPOS Connect on Windows 10?
Please refer to secomCCModule.png file attached before.

**Question 2** - Customer installed EPOS Connect on MAC. EPOS Connect has a warning message.
Deleted System > Library > Application Support > EPOSConnect, then ran the installer again, but this issue was still there.
 ![](https://eposaudio.zendesk.com/attachments/token/SZUjroBMIqhXkD0QFQUaMrTYe/?name=inline1634786122.png)

Attachment(s):
1.PNG - https://eposaudio.zendesk.com/attachments/token/JN7BOrjuNQ2Cj7lQ2B77HDZ6V/?name=1.PNG2.PNG - https://eposaudio.zendesk.com/attachments/token/TvUa0Av9bFZ1ZXat2ZxeKT0gp/?name=2.PNG3.PNG - https://eposaudio.zendesk.com/attachments/token/XY4lpgH3F1lVheuJcF6GfSRwF/?name=3.PNG

----------------------------------------------

Marika Fujita, Jun 23, 2021, 7:05 UTC

Dear Joonghyun,

Thank you for your reply.

Currently, we are reviewing this ticket and will get back to you as soon as possible.
We appreciate your patience.

Kind regards,
Marika Fujita
EPOS Global Support

----------------------------------------------

Joonghyun Yang, Jun 21, 2021, 1:15 UTC

Dear Marika,

Thank you for your reply.

Regarding question 1 -Windows, I tested EPOS SDK - javascript SDK on chrome browser on Windows 10 OS not MAC.
 Could you advise why WSS is not connected with  EPOS Connect on Windows 10?
Please refer to  secomCCModule.png file attached before.

Regarding question 2 - MAC , I could not find System > Library > Application Support > Sennheiser folder, so I deleted System > Library > Application Support > EPOSConnect, then ran the installer again, but this issue was still there.

-----------------------------
1 - Windows 10) I tried to test EPOS SDK - javascript SDK on chrome browser but failed to connect
EPOS Connect via WSS(web secure socket).
Please refer to attached secomCCModule.png file.
2 - MAC). I installed EPOS Connect on MAC. EPOS Connect has a warning message. Please attached epos-mac-warning.png file.
----------------------------

Thanks.
Best regards,
Joonghyun Yang

----------------------------------------------

Marika Fujita, Jun 18, 2021, 3:08 UTC (private)

**_NEXT ACTION_**

**What**: Delete the "System > Library > Application Support > Sennheiser" folder and run the installer again.

**Who**: Customer
**When**:23/06/2021

----------------------------------------------

Marika Fujita, Jun 18, 2021, 3:08 UTC

Dear Joonghyun,

Thank you for contacting EPOS Global Support.
For your convenience, we have created **support ticket number 155931** for your inquiry.

We are sorry to hear that you are experiencing problems with EPOS Connect.

Could you please try the steps below?
Delete the "System > Library > Application Support > Sennheiser" folder and run the installer again.

Please let us know how it goes.

Kind regards,
Marika Fujita
EPOS Global Support

----------------------------------------------

Marika Fujita, Jun 17, 2021, 7:59 UTC (private)

**_CASE SUMMARY_**

**Company Name**: Ericsson LG
**Contact person**: Joonghyun Yang
**Email**: [email-masked]
**Product name**: EPOS connect
**Number of Products**: 1
**Sales Opportunity Size in Headsets**: 0
**Environment**: Mac
**Issue**: SDK failed to connect
**Current status**:
1. I tried to test EPOS SDK - javascript SDK on chrome browser but failed to connect
EPOS Connect via WSS(web secure socket).

2. I installed EPOS Connect on MAC. EPOS Connect has a warning message.
 ![](https://eposaudio.zendesk.com/attachments/token/SZUjroBMIqhXkD0QFQUaMrTYe/?name=inline1634786122.png)​

----------------------------------------------

!*** Joonghyun Yang was not signed in when this comment was submitted. Learn more ***!

Joonghyun Yang, Jun 17, 2021, 5:33 UTC

Dear Sirs,

I downloaded EPOS SDK and tried to test javascript SDK with Sennheiser USB headset.
I have a below question. Please give us some advice.

1. I tried to test EPOS SDK - javascript SDK on chrome browser but failed to connect 
 EPOS Connect via WSS(web secure socket).
Please refer to attached secomCCModule.png file.
2. I installed EPOS Connect on MAC. EPOS Connect has a warning message. Please attached epos-mac-warning.png file.

Thanks.
Best regards,
Joonghyun Yang

Attachment(s):
epos_sd_demo_ws.PNG - https://eposaudio.zendesk.com/attachments/token/dap8GlRnoadGGV4vbfLfKhred/?name=epos_sd_demo_ws.PNGsecomCCModule.PNG - https://eposaudio.zendesk.com/attachments/token/qss1IkvizW9totB3Ehhmz863A/?name=secomCCModule.PNGepos_sd_demo_wss.PNG - https://eposaudio.zendesk.com/attachments/token/4rEd9irIf02rxzLcqISO1mplE/?name=epos_sd_demo_wss.PNGepos-mac-warning.png - https://eposaudio.zendesk.com/attachments/token/oLg5kbZjXIjeSFvBTW5IUVfbP/?name=epos-mac-warning.png

--------------------------------
This email is a service from EPOS Enterprise.

[3PPQL5-5GOL]